/**
 * The CSS Animations module lets you animate the values of CSS properties, such as background-position and transform, over time by using keyframes. Each keyframe describes how the animated element should render at a given time during the animation sequence. You can use the properties in the animations module to control the duration, number of repetitions, delayed start, and other aspects of an animation.
 *
 * @module animationsModule
 *
 * @see {@link https://developer.mozilla.org/en-US/docs/Web/CSS/CSS_animations MDN}
 * @see {@link https://drafts.csswg.org/css-animations/#property-index W3C Editor's Draft}
 * @see {@link hhttps://www.w3.org/TR/css-animations/#property-index W3C Working Draft}
 */
export const animationsModule = [
  'animation',
  'animation-composition', // https://drafts.csswg.org/css-animations-2/#property-index
  'animation-delay',
  'animation-direction',
  'animation-duration',
  'animation-fill-mode',
  'animation-iteration-count',
  'animation-name',
  'animation-play-state',
  'animation-timeline', // https://drafts.csswg.org/css-animations-2/#property-index
  'animation-timing-function',
];
