/**
 * The CSS basic user interface module lets you define the rendering and functionality of features related to the user interface including outline properties, visual feedback to pointing device and keyboard, and altering the default appearance of UI widgets.
 *
 * @module basicUserInterfaceModule
 *
 * @see {@link https://developer.mozilla.org/en-US/docs/Web/CSS/CSS_basic_user_interface MDN}
 * @see {@link https://drafts.csswg.org/css-ui/#property-index W3C Editor's Draft}
 * @see {@link https://www.w3.org/TR/css-ui/#property-index W3C Working Draft}
 */

export const basicUserInterfaceModule = {
  caret: [
    'caret',
    'caret-animation',
    'caret-color',
    'caret-shape',
  ],
  cursor: [
    'cursor',
  ],
  events: [
    'pointer-events',
    'touch-action',
  ],
  nav: [
    'nav-index',
    'nav-up',
    'nav-right',
    'nav-down',
    'nav-left',
  ],
  outline: [
    'outline',
    'outline-color',
    'outline-offset',
    'outline-style',
    'outline-width',
  ],
  platform: [
    'appearance',
  ],
  security: [
    'input-security',
  ],
  sizing: [
    'field-sizing',
  ],
  theme: [
    'accent-color',
  ],
  user: [
    'resize',
    'user-select',
  ],
};
