/**
 * The CSS colors module defines colors, color types, color blending, opacity, and how you can apply these colors and effects to HTML content.
 *
 * While this module has only two CSS properties, color and opacity, over 20 CSS and SVG properties, CSS images, at-rules, and @media rules depend on these two properties.
 *
 * @module colorModule
 *
 * @see {@link https://developer.mozilla.org/en-US/docs/Web/CSS/CSS_colors MDN}
 * @see {@link https://drafts.csswg.org/css-color/#property-index W3C Editor's Draft}
 * @see {@link https://www.w3.org/TR/css-color/#property-index W3C Working Draft}
 */
export const colorModule = {
  color: [
    'color',
  ],
  opacity: [
    'opacity',
  ],
};
