/**
 * The CSS conditional rules module defines CSS media and support queries, enabling you to define styles that are only applied if specific conditions are met. The conditional rules defined in this module are based on device, user-agent, and viewport capabilities. With conditional rules, you can target CSS styles based on query values or browser and device features, independent of the document being rendered.
 *
 * @module conditionalRulesModule
 *
 * @see {@link https://developer.mozilla.org/en-US/docs/Web/CSS/CSS_conditional_rules MDN}
 * @see {@link hhttps://drafts.csswg.org/css-conditional-5/#property-index W3C Editor's Draft}
 * @see {@link https://www.w3.org/TR/css-conditional-5/ W3C Working Draft}
 */
export const conditionalRulesModule = [
  'container', // https://www.w3.org/TR/css-conditional-5/#property-index
  'container-name', // https://www.w3.org/TR/css-conditional-5/#property-index
  'container-type', //https://www.w3.org/TR/css-conditional-5/#property-index
];
