/**
 * The CSS containment module defines containment and container queries.
 *
 * Containment enables the isolation of page subtrees from the rest of the DOM. The browser can then improve performance by optimizing the rendering of these independent parts.
 *
 * @module containmentModule
 *
 * @see {@link https://developer.mozilla.org/en-US/docs/Web/CSS/CSS_containment MDN}
 * @see {@link https://drafts.csswg.org/css-contain/#property-index W3C Editor's Draft}
 * @see {@link https://www.w3.org/TR/css-contain/#property-index W3C Working Draft}
 */
export const containmentModule = [
  'content-visibility',
  'contain',
];
