/**
 * The CSS display module defines how the CSS formatting box tree is generated from the document element tree and defines properties controlling it.
 *
 * @module displayModule
 *
 * @see {@link https://developer.mozilla.org/en-US/docs/Web/CSS/CSS_display MDN}
 * @see {@link https://drafts.csswg.org/css-display/#property-index W3C Editor's Draft}
 * @see {@link https://www.w3.org/TR/css-display/#property-index W3C Working Draft}
 */
export const displayModule = [
  'visibility',
  'reading-flow', // https://drafts.csswg.org/css-display-4/#property-index
  'order',
  'display',
];
