/**
 * The CSS generated content module defines how an element's content can be replaced and content can be added to a document with CSS.
 *
 * @module generatedContentModule
 *
 * @see {@link https://developer.mozilla.org/en-US/docs/Web/CSS/CSS_generated_content MDN}
 * @see {@link https://drafts.csswg.org/css-content/#property-index W3C Editor's Draft}
 * @see {@link https://www.w3.org/TR/css-content/#property-index W3C Working Draft}
 */
export const generatedContentModule = [
  'quotes',
  'content',
];

//--- NOT YET IMPLEMENTED ---//
// 'bookmark-label', // https://drafts.csswg.org/css-content-3/#propdef-bookmark-label
// 'bookmark-level', // https://drafts.csswg.org/css-content-3/#propdef-bookmark-level
// 'bookmark-state', // https://drafts.csswg.org/css-content-3/#propdef-bookmark-state
// 'string-set', // https://drafts.csswg.org/css-content-3/#propdef-string-set
