/**
 * The CSS grid layout module defines a two-dimensional grid-based layout system, optimized for user interface design. In the grid layout model, the children of a grid container can be positioned into arbitrary slots in a predefined flexible or fixed-size layout grid.
 *
 * @module gridLayoutModule
 *
 * @see {@link https://developer.mozilla.org/en-US/docs/Web/CSS/CSS_grid_layout MDN}
 * @see {@link https://drafts.csswg.org/css-grid/#property-index W3C Editor's Draft}
 * @see {@link https://www.w3.org/TR/css-grid/#property-index W3C Working Draft}
 */
export const gridLayoutModule = [
  'grid',
  'grid-area',

  'grid-auto-columns',
  'grid-auto-flow',
  'grid-auto-rows',

  'grid-column',
  'grid-column-start',
  'grid-column-end',

  'grid-row',
  'grid-row-start',
  'grid-row-end',

  'grid-template',
  'grid-template-areas',
  'grid-template-columns',
  'grid-template-rows',
];

//--- NOT YET IMPLEMENTED ---//
// 'masonry', // https://drafts.csswg.org/css-grid-3/#property-index
// 'masonry-auto-tracks', // https://drafts.csswg.org/css-grid-3/#property-index
// 'masonry-direction', // https://drafts.csswg.org/css-grid-3/#property-index
// 'masonry-fill', // https://drafts.csswg.org/css-grid-3/#property-index
// 'masonry-flow', // https://drafts.csswg.org/css-grid-3/#property-index
// 'masonry-slack', // https://drafts.csswg.org/css-grid-3/#property-index
// 'masonry-template-areas', // https://drafts.csswg.org/css-grid-3/#property-index
// 'masonry-template-tracks', // https://drafts.csswg.org/css-grid-3/#property-index
