/**
 * The CSS lists and counters module enables styling and positioning of list item bullets and manipulating their values with a combination of strings, counters, and other features.
 *
 * @module listsAndCountersModule
 *
 * @see {@link https://developer.mozilla.org/en-US/docs/Web/CSS/CSS_lists MDN}
 * @see {@link https://drafts.csswg.org/css-lists/#property-index W3C Editor's Draft}
 * @see {@link https://www.w3.org/TR/css-lists/#property-index W3C Working Draft}
 */
export const listsAndCountersModule = {
  counters: [
    'counter-set',
    'counter-increment',
    'counter-reset',
  ],
  lists: [
    'list-style',
    'list-style-image',
    'list-style-position',
    'list-style-type',
    'marker-side',
  ],
};
