/**
 * The CSS masking module that defines masking and clipping for partially or fully hiding portions of visual elements.
 *
 * @module maskingModule
 *
 * @see {@link https://developer.mozilla.org/en-US/docs/Web/CSS/CSS_masking MDN}
 * @see {@link https://drafts.fxtf.org/css-masking/#property-index W3C Editor's Draft}
 * @see {@link https://www.w3.org/TR/css-masking/#property-index W3C Working Draft}
 */
export const maskingModule = {
  clips: [
    'clip-path',
    'clip-rule',
  ],
  masks: [
    'mask',
    'mask-border',
    'mask-border-mode',
    'mask-border-outset',
    'mask-border-repeat',
    'mask-border-slice',
    'mask-border-source',
    'mask-border-width',
    'mask-clip',
    'mask-composite',
    'mask-image',
    'mask-mode',
    'mask-origin',
    'mask-position',
    'mask-repeat',
    'mask-size',
    'mask-type',
  ],
};

//--- Deprecated Properties ---//
// 'clip',
