/**
 * The CSS Mobile Text Size Adjustment module contains features of CSS relating to one possible mechanism for adapting pages designed for desktop computer displays for display on smaller screens such as those of mobile phones. This mechanism involves displaying a scaled down display of the Web page and allowing the user to pan and zoom within that display, but within that scaled down display making certain text and similar elements larger than specified by the page author in order to ensure that when a block of wrapped text is zoomed to the width of the device (so it can be read without side-to-side scrolling for each line), the text is large enough to be readable.
 *
 * @module mobileTextSizeAdjustmentModule
 *
 * @see {@link https://developer.mozilla.org/en-US/docs/Web/CSS/text-size-adjust MDN}
 * @see {@link https://drafts.csswg.org/css-size-adjust/ W3C Editor's Draft}
 */
export const mobileTextSizeAdjustmentModule = [
  'text-size-adjust', // experimental
];
