/**
 * The CSS motion path module allows authors to animate any graphical object along a custom path.
 *
 * @module motionPathModule
 *
 * @see {@link https://developer.mozilla.org/en-US/docs/Web/CSS/CSS_motion_path MDN}
 * @see {@link https://drafts.fxtf.org/motion/#property-index W3C Editor's Draft}
 * @see {@link https://www.w3.org/TR/motion/#property-index W3C Working Draft}
 */
export const motionPathModule = [
  'offset',
  'offset-anchor',
  'offset-distance',
  'offset-path',
  'offset-position',
  'offset-rotate',
];
