/**
 * The CSS multi-column layout module lets you divide content across multiple columns. By using the properties in this module, you can define the preferred number and width of columns, the gap size between columns, and the visual appearance of the optional column dividing lines (known as column rules). You can also define how content should flow from column to column and how to break content between columns.
 *
 * @module multiColumnLayoutModule
 *
 * @see {@link https://developer.mozilla.org/en-US/docs/Web/CSS/CSS_multicol_layout MDN}
 * @see {@link https://drafts.csswg.org/css-multicol/#property-index W3C Editor's Draft}
 * @see {@link https://www.w3.org/TR/css-multicol/#property-index W3C Working Draft}
 */
export const multiColumnLayoutModule = [
  'columns',
  'column-count',
  'column-fill',
  'column-rule',
  'column-rule-color',
  'column-rule-style',
  'column-rule-width',
  'column-span',
  'column-width',
];
