/**
 * The CSS overscroll behavior module provides properties to control the behavior of a scroll container when its scroll position reaches the scroll boundary. Controlling this aspect is particularly useful in scenarios where embedded scrollable areas should not trigger scrolling of the parent container.
 *
 * @module overscrollBehaviorModule
 *
 * @see {@link https://developer.mozilla.org/en-US/docs/Web/CSS/CSS_overscroll_behavior MDN}
 * @see {@link https://drafts.csswg.org/css-overscroll/#property-index W3C Editor's Draft}
 * @see {@link https://www.w3.org/TR/css-overscroll/#property-index W3C Working Draft}
 */
export const overscrollBehaviorModule = [
  'overscroll-behavior',
  'overscroll-behavior-x',
  'overscroll-behavior-y',
  'overscroll-behavior-block',
  'overscroll-behavior-inline',
];
