/**
 * The CSS Page Floats module describes floats that move to the top or bottom of content passages. This feature has traditionally been used in print publications in which figures and photos are moved to the top or bottom of columns or pages, along with their captions. This draft describes how to achieve this effects for floats within pages, columns, regions and elements.
 *
 * @module pageFloatsModule
 *
 * @see {@link https://drafts.csswg.org/css-page-floats/#property-index W3C Editor's Draft}
 * @see {@link https://www.w3.org/TR/css-page-floats/#property-index W3C Working Draft}
 */
export const pageFloatsModule = [
  'float',
  'float-defer',
  'float-offset',
  'float-reference',
  'clear',
];
