/**
 * The CSS ruby layout module provides the rendering model and formatting controls related to the display of ruby annotation. Ruby annotation is a form of interlinear annotation, consisting of short runs of text alongside the base text. They are typically used in East Asian documents to indicate pronunciation or to provide a short annotation.
 *
 * @module rubyLayoutModule
 *
 * @see {@link https://developer.mozilla.org/en-US/docs/Web/CSS/CSS_ruby_layout MDN}
 * @see {@link https://drafts.csswg.org/css-ruby/#property-index W3C Editor's Draft}
 * @see {@link https://www.w3.org/TR/css-ruby/#property-index W3C Working Draft}
 */
export const rubyLayoutModule = [
  'ruby-align',
  'ruby-merge', // https://drafts.csswg.org/css-ruby/#property-index
  'ruby-overhang', // https://drafts.csswg.org/css-ruby/#property-index
  'ruby-position',
];
