/**
 * The CSS scrollbars styling module defines properties that you can use for visual styling of scrollbars. You can customize the width of the scrollbar as required. You can also customize the color of the scrollbar track, which is the background of the scrollbar, and the color of the scrollbar thumb, which is the draggable handle of the scrollbar.
 *
 * @module scrollbarsStylingModule
 *
 * @see {@link https://developer.mozilla.org/en-US/docs/Web/CSS/CSS_scrollbars_styling MDN}
 * @see {@link https://drafts.csswg.org/css-scrollbars/#property-index W3C Editor's Draft}
 * @see {@link https://www.w3.org/TR/css-scrollbars/#property-index W3C Working Draft}
 */
export const scrollbarsStylingModule = [
  'scrollbar-color', // limited browser support
  'scrollbar-width',
];
