/**
 * The CSS transforms module defines how elements styled with CSS can be transformed in two-dimensional or three-dimensional space.
 *
 * @module transformsModule
 *
 * @see {@link https://developer.mozilla.org/en-US/docs/Web/CSS/CSS_transforms MDN}
 * @see {@link https://drafts.csswg.org/css-transforms/#property-index W3C Editor's Draft}
 * @see {@link https://www.w3.org/TR/css-transforms/#property-index W3C Working Draft}
 */
export const transformsModule = {
  matrix: [
    'transform',
    'transform-box',
    'transform-origin',
    'transform-style',
    'translate',
    'rotate',
    'scale',
  ],
  perspective: [
    'perspective',
    'perspective-origin',
  ],
  visibility: [
    'backface-visibility',
  ],
};
