/**
 * The CSS view transitions module defines the behavior of the View Transition API, which allows developers to create animated transitions between different states within a document and across documents. This module also defines the CSS properties and pseudo-elements for styling these transitions.
 *
 * @module viewTransitionModule
 *
 * @see {@link https://developer.mozilla.org/en-US/docs/Web/CSS/CSS_view_transitions MDN}
 * @see {@link https://drafts.csswg.org/css-view-transitions/#property-index W3C Editor's Draft}
 * @see {@link https://www.w3.org/TR/css-view-transitions/#property-index W3C Working Draft}
 */
export const viewTransitionModule = [
  'view-transition-name',
  'view-transition-class', // https://www.w3.org/TR/2024/WD-css-view-transitions-2-20241113/
  'view-transition-group', //https://www.w3.org/TR/2024/WD-css-view-transitions-2-20241113/
];
