/**
 * The CSS Will Change module defines the will-change CSS property, which allows an author to inform the UA ahead of time of what kinds of changes they are likely to make to an element. This allows the UA to optimize how they handle the element ahead of time, performing potentially-expensive work preparing for an animation before the animation actually begins.
 *
 * @module willChangeModule
 *
 * @see {@link https://developer.mozilla.org/en-US/docs/Web/CSS/will-change MDN}
 * @see {@link https://drafts.csswg.org/css-will-change/#will-change W3C Editor's Draft}
 * @see {@link https://www.w3.org/TR/css-will-change/#will-change W3C Working Draft}
 */
export const willChangeModule = [
  'will-change',
];
